Bug 490084 - Click load images ( Ctrl+I ) -> evolution crashes.
Click load images ( Ctrl+I ) -> evolution crashes.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 01:42 EDT by sangu
Modified: 2009-03-27 11:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 11:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 569700 None None None Never

  None (edit)
Description sangu 2009-03-13 01:42:02 EDT
Description of problem:

Distribution: Fedora release 10.92 (Rawhide)
Gnome Release: 2.25.92 2009-03-10 (Red Hat, Inc)
BugBuddy Version: 2.25.91

System: Linux 2.6.29-0.157.rc6.git2.fc11.i686.PAE #1 SMP Wed Feb 25 17:50:48 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10600000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 154771456 vsize: 154771456 resident: 58564608 share: 25444352 rss: 58564608 rss_rlim: 18446744073709551615
CPU usage: start_time: 1236922597 rtime: 924 utime: 729 stime: 195 cutime:16 cstime: 24 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0xb65c5b70 (LWP 6860)]
0x00adf424 in __kernel_vsyscall ()
#0  0x00adf424 in __kernel_vsyscall ()
#1  0x00c8feeb in waitpid () from /lib/libpthread.so.0
#2  0x01a3e817 in IA__g_spawn_sync (working_directory=0x0, argv=0x89b9388, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfbf67fc)
    at gspawn.c:382
#3  0x01a3eb2c in IA__g_spawn_command_line_sync (
    command_line=0x897d140 "bug-buddy --appname=\"evolution\" --pid=6772", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfbf67fc)
    at gspawn.c:694
#4  0x074e733c in run_bug_buddy (appname=<value optimized out>, 
    pid=<value optimized out>, minidump_path=0x0) at gnome-breakpad.cc:369
#5  0x074e7b3a in check_if_gdb () at gnome-breakpad.cc:440
#6  bugbuddy_segv_handle () at gnome-breakpad.cc:223
#7  0x0805d6d1 in segv_redirect (sig=11) at main.c:426
#8  <signal handler called>
#9  0x00adf424 in __kernel_vsyscall ()
#10 0x022f5ec6 in *__GI___poll (fds=0x238bff4, nfds=15, timeout=62)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#11 0x01a15b0b in IA__g_poll (fds=0x8835348, nfds=15, timeout=62)
    at gpoll.c:127
#12 0x01a08733 in g_main_context_poll (n_fds=<value optimized out>, 
    fds=<value optimized out>, priority=<value optimized out>, 
    timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2761
#13 g_main_context_iterate (n_fds=<value optimized out>, 
    fds=<value optimized out>, priority=<value optimized out>, 
    timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2443
#14 0x01a08c5f in IA__g_main_loop_run (loop=0x82347a0) at gmain.c:2656
#15 0x00ec08c3 in bonobo_main () at bonobo-main.c:311
#16 0x0805df97 in main (argc=1, argv=0xbfbf7124) at main.c:704

Thread 2 (Thread 0xb65c5b70 (LWP 6860)):
#0  0x00adf424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c8ebd9 in __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:142
No locals.
#2  0x00c89f1b in _L_lock_752 () from /lib/libpthread.so.0
No locals.
#3  0x00c89d31 in __pthread_mutex_lock (mutex=0x806988c)
    at pthread_mutex_lock.c:61
        ignore3 = 0
        ignore1 = -512
        ignore2 = 128
        type = <value optimized out>
        __PRETTY_FUNCTION__ = "__pthread_mutex_lock"
#4  0x0805d6bb in segv_redirect (sig=11) at main.c:435
No locals.
#5  <signal handler called>
No symbol table info available.
#6  camel_mime_parser_read (parser=0x0, databuffer=0xb65c4b0c, len=1500)
    at camel-mime-parser.c:655
        s = <value optimized out>
        there = <value optimized out>
#7  0x0016fcc6 in stream_read (stream=0xb7b39160, buffer=0xb65c4ba0 "", n=1500)
    at camel-http-stream.c:487
        http = 0xb7b39160
        parser_buf = <value optimized out>
        nread = 0
#8  0x00603220 in camel_stream_read (stream=0xb7b39160, buffer=0xb65c4ba0 "", 
    n=1500) at camel-stream.c:98
        __PRETTY_FUNCTION__ = "camel_stream_read"
#9  0x02e29d33 in emfh_gethttp (job=0x8a3b610, cancelled=0)
    at em-format-html.c:531
        cistream = <value optimized out>
        costream = 0x0
        instream = 0xb7b39160
        url = <value optimized out>
        content_type = 0xb65c4ba0
        n = -1212968608
        total = 0
        nread = 0
        buffer = "\0\302؇\v\301\2\30<\310%\301\226c\6\213Y\301\222\300\313\301\211\302\62t\300\360\1\204ƍ\34;z\374\b2\244ȑ$K\232<\211\62\245ʕ,[\272|\t3\246̙4\377kڼ\211\63\247Ν<{\272\374\200a\203\260\211\a\275$\300b\245\330Ac`\256$\30C4\252\324\251T\253Z\275\212\65\253֭\\\273z\375\n6\254رd˚=\213\66\255ڵlۺ}\v7\256\326\61\t\22\200axpX\262/u%\312\375\v8\260\340\301\204\v\33>\214\70\261\342Ō\31\33M\360%\331\60\242\5\226}q\312\305L\343͜;{\376\f:\264\350ѤK\227=\223\20\362\262\2R\r(\3\223\345h\30ͦk۾\215;\267\356ݼ{\247\245\22&6\26\60\312\fL}\342\332J\227\272\t\270\204\31c\346\214\357\351\324\253[\277\216=\273v\251Oʌy\254\320J\361'U\v$S&\246\vD\346\354ۻ\177\17?\276\374\371\364\353ۿ\217?\277\376\375\374\373\373\377\17`\200\2\16H`\201\6\36\210`\202\n.\310`\203\v^\241\205\30\312$\303چUè\240\214\62d\200х\26Y8\345`\210\"\216Hb\211&\236\210b\212*\256\310b\213.\272\210\205\26_\220\221\341\61\223iU\214\n睗a\217>\376\bd\220B\16Id\221"...
        length = <value optimized out>
#10 0x02e2a9c2 in efh_format_exec (m=0x8c17490) at em-format-html.c:1304
        job = 0x8a3b610
        puri_level = 0xb674b848
        cancelled = 0
        base = 0x0
#11 0x02e55e69 in mail_msg_proxy (msg=0x8c17490) at mail-mt.c:520
No locals.
#12 0x01a314ef in g_thread_pool_thread_proxy (data=0x83e8b50)
    at gthreadpool.c:265
        task = 0x8c17490
        pool = 0x83e8b50
#13 0x01a2fe9f in g_thread_create_proxy (data=0xb6747828) at gthread.c:635
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#14 0x00c87965 in start_thread (arg=0xb65c5b70) at pthread_create.c:297
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
        pd = 0xb65c5b70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {13213684, 0, 4001536, 
                -1235463208, 1212158472, 1612159333}, mask_was_saved = 0}}, 
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#15 0x023001be in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 1 (Thread 0xb80bc780 (LWP 6772)):
#0  0x00adf424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c8feeb in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x01a3e817 in IA__g_spawn_sync (working_directory=0x0, argv=0x89b9388, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfbf67fc)
    at gspawn.c:382
        outpipe = -1
        errpipe = -1
        pid = 6998
        fds = {__fds_bits = {0, 144413588, -1077975208, 27402413, 145470400, 
            27318272, 0, 37273588, 37278016, -1, -1077975304, 36263960, 24, 
            64, 146115024, 13160049, 136277208, 0, 136277648, 12543888, 
            -1077975224, -1077975212, 1, 144272544, 0, 122569224, 0, 
            -1077975236, -1077975240, 3, 144413576, 145470400}}
        ret = <value optimized out>
        outstr = 0x0
        errstr = 0x0
        failed = 0
        status = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0x01a3eb2c in IA__g_spawn_command_line_sync (
    command_line=0x897d140 "bug-buddy --appname=\"evolution\" --pid=6772", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0xbfbf67fc)
    at gspawn.c:694
        retval = 0
        argv = 0x89b9388
        __PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0x074e733c in run_bug_buddy (appname=<value optimized out>, 
    pid=<value optimized out>, minidump_path=0x0) at gnome-breakpad.cc:369
        res = <value optimized out>
        warning_file = <value optimized out>
        exec_str = 0x897d140 "bug-buddy --appname=\"evolution\" --pid=6772"
        args_str = 0x8b030a0
        error = 0x0
#5  0x074e7b3a in check_if_gdb () at gnome-breakpad.cc:440
        mypath = 0x8b6e2e0 "p\322\70\2p\322\70\2/evolution"
        gdb = 0x8afc0c0 "/usr/bin/gdb"
        has_debug_symbols = true
        appname = 0x81c2a78 "evolution"
        pid = 6772
#6  bugbuddy_segv_handle () at gnome-breakpad.cc:223
        in_segv = 1
#7  0x0805d6d1 in segv_redirect (sig=11) at main.c:426
No locals.
#8  <signal handler called>
No symbol table info available.
#9  0x00adf424 in __kernel_vsyscall ()
No symbol table info available.
#10 0x022f5ec6 in *__GI___poll (fds=0x238bff4, nfds=15, timeout=62)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#11 0x01a15b0b in IA__g_poll (fds=0x8835348, nfds=15, timeout=62)
    at gpoll.c:127
No locals.
#12 0x01a08733 in g_main_context_poll (n_fds=<value optimized out>, 
    fds=<value optimized out>, priority=<value optimized out>, 
    timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2761
        poll_func = 0xf
#13 g_main_context_iterate (n_fds=<value optimized out>, 
    fds=<value optimized out>, priority=<value optimized out>, 
    timeout=<value optimized out>, context=<value optimized out>)
    at gmain.c:2443
        max_priority = 2147483647
        timeout = 62
        some_ready = <value optimized out>
        nfds = 15
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#14 0x01a08c5f in IA__g_main_loop_run (loop=0x82347a0) at gmain.c:2656
        self = 0x81bb650
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#15 0x00ec08c3 in bonobo_main () at bonobo-main.c:311
        loop = <value optimized out>
#16 0x0805df97 in main (argc=1, argv=0xbfbf7124) at main.c:704
        client = 0x8217500
        skip_warning_dialog = <value optimized out>
        program = 0x81c3048
        master_client = <value optimized out>
        context = <value optimized out>
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]



Version-Release number of selected component (if applicable):
2.25.92-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. click a html mail in Inbox.
2. click Load Images (Ctrl + I)
3.
  
Actual results:


Expected results:


Additional info:
evolution-data-server-2.25.92-2.fc11.i586
gtkhtml3-3.25.92-1.fc11.i586
Comment 1 Milan Crha 2009-03-13 07:31:51 EDT
Interesting, similar crash is supposed to be fixed in 2.25.92 evolution, also sources contains fix for that.
Comment 2 Milan Crha 2009-03-27 11:52:32 EDT
I just committed a patch from the upstream bug [1] to evolution-data-server which fixes this issue. It'll be included in evolution-data-server-2.26.1. Marking this as upstream.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=569700

Note You need to log in before you can comment on or make changes to this bug.